java.io

## Interface ObjectInputValidation

-     public interface ObjectInputValidation

  Callback interface to allow validation of objects within a graph. Allows an object to be called when a complete graph of objects has been deserialized.
  Since:
    JDK1.1
  See Also:
    `ObjectInputStream`, `ObjectInputStream.registerValidation(java.io.ObjectInputValidation, int)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validateObject()` Validates the object.

- - ### Method Detail

    - #### validateObject

          void validateObject()
                              throws InvalidObjectException

      Validates the object.
      Throws:
        `InvalidObjectException` - If the object cannot validate itself.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.